<?php use_helper('UrlFunctions'); ?>
<?php

if(isset($control)){
  if($idempresacolaborador ){
  	
  		$o_PlaEmpresaColaboradorDP = new PlaEmpresaColaboradorDP();
		$o_PlaEmpresaColaboradorBN = $o_PlaEmpresaColaboradorDP->selectByPK($idempresacolaborador);
  	
  		$o_PlaEmpresaColaboradorLogDP = new PlaEmpresaColaboradorLogDP();
  		
  		$o_PlaEmpresaColaboradorLogDP->setIdEmpresa($o_PlaEmpresaColaboradorBN->getIdEmpresa());
  		$o_PlaEmpresaColaboradorLogDP->setIdEmpresa($o_PlaEmpresaColaboradorBN->getIdColaborador());
  		$o_PlaEmpresaColaboradorLogDP->setFechaCreacion($o_PlaEmpresaColaboradorBN->getFechaCreacion());
  		$o_PlaEmpresaColaboradorLogDP->setUsuarioCreacion($o_PlaEmpresaColaboradorBN->getUsuarioCreacion());
  		$o_PlaEmpresaColaboradorLogDP->setFechaRegistro(date("Y-m-d H:i:s"));
  		$o_PlaEmpresaColaboradorLogDP->setUsuarioRegistro(myUser::getUser()->getUserId());
  		$o_PlaEmpresaColaboradorLogDP->save();
  	
  		$o_PlaEmpresaColaboradorDP = new PlaEmpresaColaboradorDP();
		$o_PlaEmpresaColaboradorDP->setIdEmpresaCol($idempresacolaborador);
		$o_PlaEmpresaColaboradorDP->delete();

  		
	    if(1){
	      ?>
	      <script language="JavaScript">
	      parent.objMainTab.reqBody('<?=buildUrl('empresa/listcol')?>','&id=<?=$o_PlaEmpresaColaboradorBN->getIdEmpresa()?>');
	      parent.objMainTab.windowsCloseAll();
	      </script>
	      <?
	      
	    }else{
	       $url = buildUrl('pre/delete', "block=".$block."&error=1");
	    }
	    
  }
  
}

if(is_object($o_CrBusquedaBN)){
	$o_CrBusquedaBNC = $o_CrBusquedaBN;
	
		$json = $o_CrBusquedaBNC->getTramaresultado();
		$obj = json_decode($json);
		if(is_object($obj)){
			$success = $obj->{'success'};
			$message = $obj->{'message'};
			if(!$message){
				if($success === true){
					
					// Rescatar los valores para que se pueda asignar al formulario
					$obj_person = $obj->{'person'};
						$obj_general = $obj_person->{'general'};
							$actual 		= $obj_general->{'sem_actual'};
							$sem_historico 	= $obj_general->{'sem_historico'};
							$fecha_proceso 	= $obj_general->{'fecha_proceso'};
					$obj_images = $obj->{'images'};
						$foto = $obj_img->{'foto'};
						$firma = $obj_img->{'firma'};
				}
			}
		}
	
}

$o_ColaboradorBean = new ColaboradorBean();
$o_ColaboradorBean->setIdColaborador($idcolaborador);
$o_ColaboradorBean->page = "1";
$o_ColaboradorBean->tamPag = 9999;
$o_ColaboradorBean->sortCampos = "Apellido;ApellidoM;Nombre";
$o_ColaboradorBean->sortType   = "1;1;1";
 

$o_ColaboradorDP = new ColaboradorDP($o_ColaboradorBean);


$a_o_ColaboradorDP = $o_ColaboradorDP->select();

$o_ColaboradorDP = $a_o_ColaboradorDP[0];
?>
<form name='form' method="POST" onsubmit='disableButton()'>
	<input type="hidden" name="control" value="1" >
	<input type="hidden" name="idempresacolaborador" value="<?=$idempresacolaborador?>">
	<input type="hidden" name="idcolaborador" value="<?=$idcolaborador?>">
	
	<table class="grid" width="100%" border="0" cellpadding="2" cellspacing="0">
		<tr height="">
			<td colspan="2" align="center" class="req">¿Esta seguro de eliminar el colaborador?</td>
		</tr>
	    <tr height="">
	      <td width="15%" align="right" class="req">DNI</td>
	      <td width="5%" align="left"><?=$o_ColaboradorDP->getDni()?></td>
	    </tr>
	    <tr height="">  
	      <td width="10%" align="right" class="req">Nombre completo</td>
	      <td width="25%" align="left"><?php echo $o_ColaboradorDP->getNombreCompleto()?></td>
	     
	     </tr>
	    
	    <tr>
		<td align="center" colspan="5">
		  <input type="hidden" name="typeSubmit" id="typeSubmit">
		  <!--<input class="button" type="submit" value="Grabar y Nuevo" onclick="$('typeSubmit').value='add';"/>-->
		  <input class="button" id='btn' type="submit" value="Aceptar" onclick="$('typeSubmit').value='list';">
		  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.windowsCloseAll();"/>
		</td>
		</tr>
	</table>
	
	    </td>
	  </tr>
	</table>
</form>